package main

import (
	"encoding/json"
	"log"
	"os"
)

type Config struct {
	WebPort        string `json:"web_port"`
	DbUser         string `json:"db_user"`
	DbPass         string `json:"db_pass"`
	DbHost         string `json:"db_host"`
	DbPort         string `json:"db_port"`
	MailUser       string `json:"mail_user"`
	MailPass       string `json:"mail_pass"`
	MailSmtpServer string `json:"mail_smtp_server"`
	MailSmtpPort   string `json:"mail_smtp_port"`
}

var config Config

func init() {
	f, err := os.Open("../../configs/config.json")
	if err != nil {
		log.Fatalln(err, "Could not read config file")
	}
	defer f.Close()
	err = json.NewDecoder(f).Decode(&config)
	if err != nil {
		log.Fatalln(err, "Could not decode config file")
	}
}
